%define module_name ETL-Yertl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Changes.pm) perl(Capture/Tiny.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Data/Partial/Google.pm) perl(DateTime.pm) perl(DateTime/Format/ISO8601.pm) perl(Dir/Self.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(Future.pm) perl(Getopt/Long.pm) perl(HTTP/Response.pm) perl(Hash/Merge/Simple.pm) perl(IO/Async/Loop.pm) perl(IO/Async/Test.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Import/Base.pm) perl(JSON/MaybeXS.pm) perl(JSON/PP.pm) perl(List/Util.pm) perl(Mock/MonkeyPatch.pm) perl(Module/Runtime.pm) perl(Moo.pm) perl(Net/Async/HTTP.pm) perl(Parse/RecDescent.pm) perl(Path/Tiny.pm) perl(Pod/Usage/Return.pm) perl(Regexp/Common.pm) perl(SQL/Abstract.pm) perl(Storable.pm) perl(Test/Deep.pm) perl(Test/Differences.pm) perl(Test/Exception.pm)
BuildRequires: perl(Test/Lib.pm) perl(Test/More.pm) perl(Text/Trim.pm) perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(URI.pm) perl(YAML.pm) perl(base.pm) perl(boolean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.033
Release: alt1
Summary: ETL with a Shell
Group: Development/Perl
License: perl
URL: https://github.com/preaction/ETL-Yertl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PR/PREACTION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
ETL::Yertl is an ETL (Extract, Transform, Load) for shells. It is
designed to accept data from multiple formats (CSV, JSON), manipulate them
using simple tools, and then convert them to an output format.

Yertl will have tools for:

=over 4

=item Extracting data from databases (MySQL, Postgres, MongoDB)

=item Loading data into databases

=item Extracting data from web services

=item Writing data to web services

=item Distributing data through messaging APIs (ZeroMQ)

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md README CHANGES LICENSE
%perl_vendor_privlib/E*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.033-alt1
- regenerated from template by package builder

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.032-alt1
- initial import by package builder

